<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE device SYSTEM "hpzscwn7.dtd">

<device>
  <software>
    <file_header>
      <file_name>hpc5200f.xml</file_name>
         <file_version>053.2514</file_version>
         <file_timestamp>09/22/2006</file_timestamp>
    </file_header>
    <component>
      <name>Mombi</name>
      <helper>
        <name>
        </name>
        <!--      put a name if we have multiple helpers     -->
        <events>
        <!--      =========================================      -->
        <!--                  DMCInstallTime                     -->
        <!--       called during DMC Install Time (Import)       -->
        <!--      =========================================      -->
          <event>
            <name>DMCInstallTime</name>
            <macro_name>macro_PrintQualityImport</macro_name>
          </event>
          <!--      =========================================      -->
          <!--                  DMCUpgradeTime                     -->
          <!--       called during DMC Upgrade Time (Export)       -->
          <!--      =========================================      -->
          <event>
            <name>DMCUpgradeTime</name>
            <macro_name>macro_PrintQualityExport</macro_name>
          </event>
        </events>
        <features>
        <!--      =========================================      -->
        <!--                      MediaType                      -->
        <!--      =========================================      -->
          <feature>
            <name>MediaType</name>
            <macro_name>macro_MediaType</macro_name>
          </feature>
          <!--      =========================================      -->
          <!--                      Print Quality Group            -->
          <!--      =========================================      -->
          <feature>
            <name>PrintQualityGroup</name>
            <macro_name>macro_PrintQualityGroup</macro_name>
            <disable>PrintQualityGroup</disable>
          </feature>
          <feature>
            <name>CustomSize</name>
            <macro_name>macro_custom_size</macro_name>            
          </feature>
        <!--      =========================================      -->
          <!--                HPSmartHub URL values                -->
          <!--      =========================================      -->
          <feature>
            <name>HPSmartHub</name>
            <switch>
                <name>HPSmartHub</name>
                <case>
                    <name>Inet_SID_263_BID_514_HID_265</name>
                    <data></data>
                </case>
                <case>
                    <name>Inet_SID_264_BID_514_HID_266</name>
                    <data>http://go.microsoft.com/fwlink/?LinkId=73932&amp;clcid=0x409</data>
                </case>
                <case>
                    <name>Inet_SID_251_BID_514_HID_267</name>
                    <data>http://go.microsoft.com/fwlink/?LinkId=73943</data>
                </case>
                <case>
                    <name>Inet_SID_252_BID_514_HID_268</name>
                    <data>http://go.microsoft.com/fwlink/?LinkId=73944</data>
                </case>
                <case>
                    <name>Inet_SID_253_BID_514_HID_269</name>
                    <data>http://go.microsoft.com/fwlink/?LinkId=73933&amp;clcid=0x409</data>
                </case>
                <case>
                    <name>Inet_SID_279_BID_514_HID_280</name>
                    <data>http://go.microsoft.com/fwlink/?LinkId=73945&amp;clcid=0x409</data>
                </case>
            </switch>
          </feature>          
        </features>
        <macros>
        <!--      =========================================      -->
        <!--                      MediaType                      -->
        <!--      =========================================      -->
          <macro>
            <name>macro_MediaType</name>
            <call>macro_PrintQuality</call>
          </macro>
          <!--      =========================================      -->
          <!--                      Print Quality Group            -->
          <!--                                                     -->
          <!--      Print Quality options have single level        -->
          <!--      association only                               -->
          <!--      =========================================      -->
          <macro>
            <name>macro_PrintQualityGroup</name>
            <switch>
              <name>PrintQualityGroup</name>
              <case>
                <name>PQGroup_1</name>
                <select_option>Resolution.600dpi</select_option>
                <select_option>PrintQualityGroup.PQGroup_1</select_option>
              </case>
              <case>
                <name>PQGroup_2</name>
                <select_option>Resolution.300dpi</select_option>
                <select_option>PrintQualityGroup.PQGroup_2</select_option>
              </case>
            </switch>
          </macro>
          <!--      =========================================      -->
          <!--         Print Quality Import                        -->
          <!--        Mapping is as follows                        -->
          <!--        (a) Normal  - PQGroup_1                      -->
          <!--                                                     -->
          <!--      Print Quality options have single level        -->
          <!--      association only                               -->
          <!--      =========================================      -->
          <macro>
            <name>macro_PrintQualityImport</name>
            <switch>
              <name>PrintQualityImport</name>
              <case>
                <name>600 dpi</name>
                <map_option>PQGroup_1</map_option>
              </case>
              <case>
                <name>300 dpi</name>
                <map_option>PQGroup_2</map_option>
              </case>
            </switch>
            <call>macro_PrintQualityGroup</call>
          </macro>
          <!--      =========================================      -->
          <!--         Print Quality Export                        -->
          <!--        Mapping is as follows                        -->
          <!--        (a) Normal  - PQGroup_1                      -->
          <!--                                                     -->
          <!--      Print Quality options have single level        -->
          <!--      association only                               -->
          <!--      =========================================      -->
          <macro>
            <name>macro_PrintQualityExport</name>
            <switch>
              <name>PrintQualityExport</name>
              <case>
                <name>PQGroup_1</name>
                <unmap_option>600 dpi</unmap_option>
              </case>
              <case>
                <name>PQGroup_2</name>
                <unmap_option>300 dpi</unmap_option>
              </case>
          </switch>
          </macro>
          <macro>
            <name>macro_pop_up_CustomPaper</name>
            <title>876</title>
            <icon>MB_ICONWARNING</icon>
            <string_id>4254</string_id>
            <message_type>MB_OK</message_type>
            <showpopup>MSG_BOX</showpopup>
           </macro>
           <macro>
            <name>macro_custom_size</name>
            <option_name>min_width.76200</option_name>
            <option_name>max_width.431800</option_name>
            <option_name>min_length.127000</option_name>
            <option_name>max_length.594360</option_name>
           </macro>
        </macros>
        <presets>
          <presetenglish>
            <name>Default Print Settings</name>
            <resource_id>3041</resource_id>
            <setting>PrintQualityGroup.PQGroup_1</setting>
          </presetenglish>
          <presetenglish>
            <name>User Guide Print Settings</name>
            <resource_id>3042</resource_id>
            <setting>PrintQualityGroup.PQGroup_1</setting> 
            <setting>NUpChoice.TwoUp</setting> 
            <setting>NupPageOrderChoice.RightThenDown</setting>
            <setting>Duplex.True</setting>
            <setting>FlipPagesUp.True</setting>
            <setting>HPPrintOnBothSidesManually.True</setting>
          </presetenglish>
        </presets>
        <PmlOIDs>
            <pmldata>
                <pmlname>MODEL_NAME</pmlname>
                <oidvalue>1.3.6.1.4.1.11.2.3.9.4.2.1.1.3.2.0</oidvalue>
            </pmldata>
            <pmldata>
                <pmlname>prtMediaPathType2</pmlname>
                <oidvalue>1.3.6.1.2.1.43.13.4.1.9.1.2</oidvalue>                
            </pmldata>
            <pmldata>
                <pmlname>HOST-APPLICATION-AVAILABLE-MEMORY</pmlname>
                <oidvalue>1.3.6.1.4.1.11.2.3.9.4.2.1.1.2.59.0</oidvalue>
            </pmldata>
            <pmldata>
                <pmlname>MOPY_MODE</pmlname>
                <oidvalue>1.3.6.1.4.1.11.2.3.9.4.2.1.2.4.1.1.0</oidvalue>
            </pmldata>  
            <pmldata>
                <pmlname>MEDIA-NAMES-AVAILABLE</pmlname>
                <oidvalue>1.3.6.1.4.1.11.2.3.9.4.2.1.4.1.8.1.1.0</oidvalue>
            </pmldata>            
            <pmldata>
                <pmlname>hrDiskStorageMedia2</pmlname>
                <oidvalue>1.3.6.1.2.1.25.3.6.1.2.2</oidvalue>
            </pmldata>
            <pmldata>
                <pmlname>hrDiskStorageMedia3</pmlname>
                <oidvalue>1.3.6.1.2.1.25.3.6.1.2.3</oidvalue>
            </pmldata>
            <pmldata>
                <pmlname>hrDiskStorageMedia4</pmlname>
                <oidvalue>1.3.6.1.2.1.25.3.6.1.2.4</oidvalue>
            </pmldata>
            <pmldata>
                <pmlname>hrMemorySize</pmlname>
                <oidvalue>1.3.6.1.2.1.25.2.2.0</oidvalue>
            </pmldata>
            <pmldata>
                <pmlname>PHD2-MODEL</pmlname>
                <oidvalue>1.3.6.1.4.1.11.2.3.9.4.2.1.1.4.5.2.1.0</oidvalue>
            </pmldata>
            <pmldata>
                <pmlname>MEDIA17-NAME</pmlname>
                <oidvalue>1.3.6.1.4.1.11.2.3.9.4.2.1.4.1.8.3.17.1.0</oidvalue>
            </pmldata>
            <pmldata>
                <pmlname>MEDIA18-NAME</pmlname>
                <oidvalue>1.3.6.1.4.1.11.2.3.9.4.2.1.4.1.8.3.18.1.0</oidvalue>
            </pmldata>
            <pmldata>
                <pmlname>MEDIA19-NAME</pmlname>
                <oidvalue>1.3.6.1.4.1.11.2.3.9.4.2.1.4.1.8.3.19.1.0</oidvalue>
            </pmldata>
            <pmldata>
                <pmlname>MEDIA20-NAME</pmlname>
                <oidvalue>1.3.6.1.4.1.11.2.3.9.4.2.1.4.1.8.3.20.1.0</oidvalue>
            </pmldata>
            <pmldata>
                <pmlname>MEDIA21-NAME</pmlname>
                <oidvalue>1.3.6.1.4.1.11.2.3.9.4.2.1.4.1.8.3.21.1.0</oidvalue>
            </pmldata>
            <pmldata>
                <pmlname>prtInputMaxCapacity1</pmlname>
                <oidvalue>1.3.6.1.2.1.43.8.2.1.9.1.1</oidvalue>
            </pmldata>
            <pmldata>
                <pmlname>prtInputMaxCapacity2</pmlname>
                <oidvalue>1.3.6.1.2.1.43.8.2.1.9.1.2</oidvalue>
            </pmldata>
            <pmldata>
                <pmlname>prtInputMaxCapacity3</pmlname>
                <oidvalue>1.3.6.1.2.1.43.8.2.1.9.1.3</oidvalue>
            </pmldata>
        </PmlOIDs>
      </helper>
    </component>
  </software>
</device>